%define name logilab-astng
%define version 0.17.4
%define release alt1

%setup_python_module %name

%python_module_declare %python_sitelibdir/logilab

Name: %packagename
Version: %version
Release: %release

Summary: Python Abstract Syntax Tree New Generation
License: GPLv2+
Group: Development/Python

BuildArch: noarch

Url: http://www.logilab.org/project/name/logilab-astng
Source: %modulename-%version.tar.gz

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

%description
The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is essentialy
governed by pylint's needs.

It extends class defined in the compiler.ast [1] module with some
additional methods and attributes. Instance attributes are added by a
builder object, which can either generate extended ast (let's call
them astng ;) by visiting an existant ast tree or by inspecting living
object. Methods are added by monkey patching ast classes.


%prep
%setup -n %modulename-%version

%build
env CFLAGS="%optflags" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
grep -v test/ INSTALLED_FILES > INSTALLED_FILES2
rm -rf %buildroot%python_sitelibdir/logilab/astng/test

%files -f INSTALLED_FILES2
%doc ChangeLog README


%changelog
* Tue Dec 02 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.17.4-alt1
- 0.17.4

* Sun Oct 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.17.3-alt1
- 0.17.3
- spec cleanup
- probably fix automatic dependency search
- don't package tests

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.16.3-alt1.1
- Rebuilt with python-2.5.

* Wed Dec 6 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.16.3-alt1
- Initial build for ALT Linux
